extern int RSI_Period = 14;
extern int MA_Period = 9;

int init(){return(0);}

int start()
{
   if (isNewBar()) EveryBar();
   return(0);
}

void EveryBar()
{
   double RSI1[30], MA1[30];
   int i, RSI_Count = ArraySize(RSI1), MA_Count = ArraySize(MA1);
   
   for (i = 0; i < RSI_Count; i++)
   {
      RSI1[i] = iRSI(NULL, 0, RSI_Period, PRICE_CLOSE, i);
   }
   
   for (i = 0; i < MA_Count; i++)
   {
      MA1[i] = iMAOnArray(RSI1, 0, MA_Period, 0, MODE_SMA, i);
   }
   
   if (MA1[2] < 30 && MA1[1] > 30)
   {
      OrderSend(Symbol(), OP_BUY, 0.1, Ask, 3, 0, 0, NULL, 0, 0, Green);
      Print(MA1[2], " ", MA1[1], " ", RSI1[2], " ", RSI1[1]);
   }
   else if (MA1[2] > 70 && MA1[1] < 70)
   {
      OrderSend(Symbol(), OP_SELL, 0.1, Bid, 3, 0, 0, NULL, 0, 0, Red);
      Print(MA1[2], " ", MA1[1], " ", RSI1[2], " ", RSI1[1]);
   }
}

bool isNewBar()
{
   static datetime NewTime = 0;
   bool NewBar = false;
   if (NewTime != Time[0])
   {
      NewTime = Time[0];
      NewBar = true;
   }
   return (NewBar);
}